## org.eclipse.datatools.connectivity.sqm.core.containment
Interface ContainmentService

All Known Implementing Classes:
  ContainmentServiceImpl

    public interface ContainmentService

Method Summary
`java.util.Collection` `getAllContainedDisplayableElements(org.eclipse.emf.ecore.EObject obj)`
`java.util.Collection` `getAllContainedElements(org.eclipse.emf.ecore.EObject obj)`
`java.util.List` `getAllContainers(org.eclipse.emf.ecore.EObject obj)`
`java.util.Collection` `getContainedDisplayableElements(org.eclipse.emf.ecore.EObject obj)`
`java.util.Collection` `getContainedDisplayableElements(org.eclipse.emf.ecore.EObject obj, java.lang.String group)`
`java.util.Collection` `getContainedElements(org.eclipse.emf.ecore.EObject obj)`
`org.eclipse.emf.ecore.EObject` `getContainer(org.eclipse.emf.ecore.EObject obj)`
`org.eclipse.emf.ecore.EStructuralFeature` `getContainmentFeature(org.eclipse.emf.ecore.EObject obj)`
`java.lang.String` `getGroupId(org.eclipse.emf.ecore.EObject obj)`
`org.eclipse.emf.ecore.EObject` `getRootElement(org.eclipse.emf.ecore.EObject obj)`
`boolean` `isDisplayableElement(org.eclipse.emf.ecore.EObject obj)`

Method Detail

### getContainedElements

    java.util.Collection getContainedElements(org.eclipse.emf.ecore.EObject obj)

### getAllContainedElements

    java.util.Collection getAllContainedElements(org.eclipse.emf.ecore.EObject obj)

### getContainedDisplayableElements

    java.util.Collection getContainedDisplayableElements(org.eclipse.emf.ecore.EObject obj)

### getAllContainedDisplayableElements

    java.util.Collection getAllContainedDisplayableElements(org.eclipse.emf.ecore.EObject obj)

### getContainedDisplayableElements

    java.util.Collection getContainedDisplayableElements(org.eclipse.emf.ecore.EObject obj,
                                                         java.lang.String group)

### getContainer

    org.eclipse.emf.ecore.EObject getContainer(org.eclipse.emf.ecore.EObject obj)

### getAllContainers

    java.util.List getAllContainers(org.eclipse.emf.ecore.EObject obj)

### getRootElement

    org.eclipse.emf.ecore.EObject getRootElement(org.eclipse.emf.ecore.EObject obj)

### getContainmentFeature

    org.eclipse.emf.ecore.EStructuralFeature getContainmentFeature(org.eclipse.emf.ecore.EObject obj)

### isDisplayableElement

    boolean isDisplayableElement(org.eclipse.emf.ecore.EObject obj)

### getGroupId

    java.lang.String getGroupId(org.eclipse.emf.ecore.EObject obj)